Google uses AI technology to translate content into your preferred language. AI translations can contain errors.
Method: loyaltyobject.addmessage
コレクションでコンテンツを整理
必要に応じて、コンテンツの保存と分類を行います。
指定されたオブジェクト ID のポイント オブジェクトにメッセージを追加します。
HTTP リクエスト
POST https://walletobjects.googleapis.com/walletobjects/v1/loyaltyObject/{resourceId}/addMessage
この URL は gRPC Transcoding 構文を使用します。
パスパラメータ
| パラメータ |
resourceId |
string
オブジェクトの一意の識別子。この ID は、発行者のすべてのオブジェクトで一意である必要があります。この値は issuer ID の形式にする必要があります。identifier。前者は Google が発行し、後者は貴社が選択します。一意の識別子には、英数字、「.」、「_」、「-」のみを使用してください。
|
リクエスト本文
リクエストの本文には AddMessageRequest のインスタンスが含まれます。
レスポンスの本文
成功すると、レスポンスの本文に次の構造のデータが含まれます。
| フィールド |
resource |
object (LoyaltyObject)
更新された LoyaltyObject リソース。
|
認可スコープ
次の OAuth スコープが必要です。
https://www.googleapis.com/auth/wallet_object.issuer
特に記載のない限り、このページのコンテンツはクリエイティブ・コモンズの表示 4.0 ライセンスにより使用許諾されます。コードサンプルは Apache 2.0 ライセンスにより使用許諾されます。詳しくは、Google Developers サイトのポリシーをご覧ください。Java は Oracle および関連会社の登録商標です。
最終更新日 2025-07-25 UTC。
[null,null,["最終更新日 2025-07-25 UTC。"],[],["The core action is adding a message to a loyalty object using a `POST` request to the specified URL, incorporating gRPC Transcoding syntax. The request requires a unique `resourceId` (issuer ID.identifier) in the path. The request body utilizes the `AddMessageRequest` instance. Upon success, the response returns an updated `LoyaltyObject` resource, represented in JSON format, under the \"resource\" field. The operation requires `https://www.googleapis.com/auth/wallet_object.issuer` authorization scope.\n"]]